spandsp: g1050_segment_state_t Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
g1050_segment_state_t Struct Reference

`#include <g1050.h>`

## Public Attributes
int | link_type
int | high_loss
double | prob_loss_rate_change [2]
double | prob_impulse [2]
double | impulse_height
double | impulse_coeff
double | serial_delay
double | max_jitter
double | prob_packet_loss
double | prob_packet_collision_loss
double | congestion_delay
int | qos_enabled
int | multiple_access
double | last_arrival_time
double | delays [3 *1000]
uint32_t | lost_packets
uint32_t | lost_packets_2

## Detailed Description

The model state for a LAN or access link segment

## Member Data Documentation

## ◆ congestion_delay

double g1050_segment_state_t::congestion_delay

The maximum addition delay due to congestion.

## ◆ delays

double g1050_segment_state_t::delays[3 *1000]

3 seconds of predicted delays for the link

## ◆ high_loss

int g1050_segment_state_t::high_loss

1 if in the high loss state, or 0 if in the low loss state.

## ◆ impulse_coeff

double g1050_segment_state_t::impulse_coeff

The impulse decay coefficient.

## ◆ impulse_height

double g1050_segment_state_t::impulse_height

The maximum permitted height of impulses.

## ◆ last_arrival_time

double g1050_segment_state_t::last_arrival_time

The latest packet arrival time seen on the link.

## ◆ link_type

int g1050_segment_state_t::link_type

The type of link, G1050_LAN_LINK or G_1050_ACCESS_LINK

## ◆ lost_packets

uint32_t g1050_segment_state_t::lost_packets

A count of packets lost on the link.

## ◆ lost_packets_2

uint32_t g1050_segment_state_t::lost_packets_2

An extra debug count of packets lost on the link.

## ◆ max_jitter

double g1050_segment_state_t::max_jitter

Peak jitter in the segment.

## ◆ multiple_access

int g1050_segment_state_t::multiple_access

TRUE if the link is a multiple access type (e.g. an ethernet hub).

## ◆ prob_impulse

double g1050_segment_state_t::prob_impulse[2]

The probability of a impulse occuring, for both loss rate states.

## ◆ prob_loss_rate_change

double g1050_segment_state_t::prob_loss_rate_change[2]

The probability of a loss rate change, for both loss rate states.

## ◆ prob_packet_collision_loss

double g1050_segment_state_t::prob_packet_collision_loss

The probability of packet loss due to collision.

## ◆ prob_packet_loss

double g1050_segment_state_t::prob_packet_loss

The probability of packet loss.

## ◆ qos_enabled

int g1050_segment_state_t::qos_enabled

TRUE if QoS is enabled on the link.

## ◆ serial_delay

double g1050_segment_state_t::serial_delay

The basic serial delay due to the link.

The documentation for this struct was generated from the following file:

- g1050.h